#import "../template.typ": conf
#show: doc => conf(
	doc
)

= Type/signature notation

Operator signature that takes two unnamed arbitrary numbers of the same type and returns another:
`Op<T: Num> [ T T ] -> T`

Operator that takes a 32 bit signed integer and returns another:
`Op i32 -> i32`

Operator that does the same with a generic arbitrary number type:
`Op<T: Num> T -> T`

One dimensional list of 32 bit signed integers:
`[i32]`

Due to inference, you'll also be able to use that in some mathematical operations with integers: 

`[i32] + i32` is a valid operation, for example (of course, you can't add types.) But that wouldn't add the second one to the list, but rather add the single i32 to all values in the left hand side list). That would also work with more dimensional arrays and dynamic streams like videos. 

